Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERIndexMacro.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERIndexMacro.groovy	(revision 2204)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERIndexMacro.groovy	(revision 2205)
@@ -45,11 +45,11 @@
 		def properties
 @Field @Option(name="count_subgraph", usage="A Full TIGERSearch query", widget="Boolean", required=true, def="true")
 		def count_subgraph
-@Field @Option(name="sort_column", usage="choose between the len or freq columns", widget="StringArray", metaVar="freq	labels", required=true, def="freq")
+@Field @Option(name="sort_column", usage="choose between the len or freq columns", widget="StringArray", metaVar="freq	labels", required=false, def="freq")
 		String sort_column
-		@Field @Option(name="max_lines", usage="choose between the len or freq columns", widget="Integer", metaVar="freq	labels", required=true, def="-1")
+		@Field @Option(name="max_lines", usage="choose between the len or freq columns", widget="Integer", metaVar="freq	labels", required=false, def="-1")
 		int max_lines
-@Field @Option(name="debug", usage="Show internal variable content", widget="StringArray", metaVar="OFF	ON	ALL	REALLY ALL", required=true, def="OFF")
+@Field @Option(name="debug", usage="Show internal variable content", widget="StringArray", metaVar="OFF	ON	ALL	REALLY ALL", required=false, def="OFF")
 		debug
 if (!ParametersDialog.open(this)) return
 if (debug == "OFF") debug = 0; else if (debug == "ON") debug = 1; else if (debug == "ALL") debug = 2 else if (debug == "REALLY ALL") debug = 3
@@ -197,3 +197,5 @@
 		break;
 	}
 }
+
+return results
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERSummaryMacro.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERSummaryMacro.groovy	(revision 2204)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERSummaryMacro.groovy	(revision 2205)
@@ -35,9 +35,7 @@
 if (debug == "OFF") debug = 0; else if (debug == "ON") debug = 1; else if (debug == "ALL") debug = 2 else if (debug == "REALLY ALL") debug = 3
 
 TIGERSearchEngine tse = SearchEnginesManager.getTIGERSearchEngine()
-println tse
 
-
 println "\t"+selection.join("\t")
 print "F"
 
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERRatioMacro.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERRatioMacro.groovy	(revision 2204)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/macro/tiger/exploit/TIGERRatioMacro.groovy	(revision 2205)
@@ -37,14 +37,14 @@
 if (debug == "OFF") debug = 0; else if (debug == "ON") debug = 1; else if (debug == "ALL") debug = 2 else if (debug == "REALLY ALL") debug = 3
 
 
-def results_A = gse.run(TIGERMatchesMacro, ["args":["tiger_query":tiger_query_A, "count_subgraph":count_subgraph, "debug":debug],
+def results_A = gse.run(TIGERSummaryMacro, ["args":["tiger_query":tiger_query_A, "count_subgraph":count_subgraph, "debug":debug],
 	"selection":selection,
 	"selections":selections,
 	"corpusViewSelection":corpusViewSelection,
 	"corpusViewSelections":corpusViewSelections,
 	"monitor":monitor])
 
-def results_B = gse.run(TIGERMatchesMacro,	["args":["tiger_query":tiger_query_B, "count_subgraph":count_subgraph, "debug":debug],
+def results_B = gse.run(TIGERSummaryMacro, ["args":["tiger_query":tiger_query_B, "count_subgraph":count_subgraph, "debug":debug],
 	"selection":selection,
 	"selections":selections,
 	"corpusViewSelection":corpusViewSelection,
@@ -54,7 +54,7 @@
 println results_A
 println results_B
 for (def corpus : selection) {
-	String.format( "%.2f", coef * 100.0d )
-	println "R = ${results_A[corpus]} / ${results_B[corpus]} = "+String.format( "%.2f", results_A[corpus] / results_B[corpus])
+	def coef = results_A[corpus] / results_B[corpus]
+	println "R = ${results_A[corpus]} / ${results_B[corpus]} = "+String.format( "%.2f", coef)
 }
 println "Done."
\ No newline at end of file
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy	(revision 2204)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy	(revision 2205)
@@ -1,13 +1,14 @@
 package org.txm.scripts.importer.tigersearch
 
 import org.txm.Toolbox
-import org.txm.importer.xtz.ImportModule;
+import org.txm.core.preferences.TBXPreferences
+import org.txm.importer.ApplyXsl2;
+import org.txm.importer.xtz.*
 import org.txm.metadatas.Metadatas
+import org.txm.scripts.importer.xtz.*
+import org.txm.utils.BundleUtils
 import org.txm.utils.io.FileCopy
 import org.txm.utils.io.IOUtils
-import org.txm.importer.xtz.*
-import org.txm.scripts.importer.xtz.*
-import org.txm.importer.ApplyXsl2;
 
 /**
  * Only build the Metadatas object since all XML-TXM files already exists.
